Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
BindCanvasSettings Class Reference

Represents the configuration settings for a BindCanvas application screen. More...

`#include <BindCanvasSettings.hpp>`

Inheritance diagram for BindCanvasSettings:

## Public Member Functions
| BindCanvasSettings ()
| Constructs a `BindCanvasSettings` object with default label "BindApp.".
void | setLabel (const char *cstr)
| Sets the label for the BindCanvas application screen.
void | setlabel (const char *cstr)
uint16_t | getBytes (uint8_t *out, int8_t _screenOrientation, int32_t _backColor, int32_t _actionBarColor, const char *cstr)
| Generates and returns the byte data representing the screen configuration.
uint16_t | getBytes (uint8_t *out) override
| Generates and returns the byte data representing the screen configuration.

## Public Attributes
int8_t | screenOrientation = 0
| Screen orientation value.
int32_t | backColor
| Background color in 32-bit format.
int32_t | actionBarColor
| Action bar color in 32-bit format.
bool | resetScreen = false
| Flag to reset the screen.
Public Attributes inherited from BindView
int16_t | tag

## Detailed Description

Represents the configuration settings for a BindCanvas application screen.

The `BindCanvasSettings` class is used to configure various settings for a BindCanvas application screen. These settings include screen orientation, background color, action bar color, and the option to reset the screen. Users can customize these settings to tailor the appearance and behavior of their BindCanvas application.

Example usage:

- Create a `BindCanvasSettings` object to specify screen configuration.
- Set screen orientation, background color, and action bar color as needed.
- Optionally, enable the screen reset feature to restore the default state (will remove all BindViews).
- Use the `bind.sync(myScreenSettings)` function to apply the settings.

See also
  Bind for creating Bind UI elements

Attention
  the app label has been removed for now but may return in future thus kept it here.

## Member Function Documentation

## ◆ getBytes() [1/2]

uint16_t BindCanvasSettings::getBytes | ( | uint8_t * | out | ) |
| inline override virtual

Generates and returns the byte data representing the screen configuration.

This function is meant for internal use by the Bind framework and should not be called directly by users. It serializes the screen configuration properties into a byte array for communication with the Bind framework.

Parameters

  out | Pointer to the output byte array.

Returns
  The number of bytes written to the output array.

Reimplemented from BindView.

## ◆ getBytes() [2/2]

uint16_t BindCanvasSettings::getBytes | ( | uint8_t * | out,
|  | int8_t | _screenOrientation,
|  | int32_t | _backColor,
|  | int32_t | _actionBarColor,
|  | const char * | cstr
| ) |  |
| inline

Generates and returns the byte data representing the screen configuration.

This function is meant for internal use by the Bind framework and should not be called directly by users. It serializes the screen configuration properties into a byte array for communication with the Bind framework.

Parameters

  out | Pointer to the output byte array.
  _screenOrientation | The screen orientation value.
  _backColor | The background color in 32-bit format.
  _actionBarColor | The action bar color in 32-bit format.
  cstr | The label text for the screen.

Returns
  The number of bytes written to the output array.

## ◆ setLabel()

void BindCanvasSettings::setLabel | ( | const char * | cstr | ) |
| inline

Sets the label for the BindCanvas application screen.

Attention
  the app label has been removed for now but may return in future thus kept it here.

Parameters

  cstr | The label text for the screen.

The documentation for this class was generated from the following file:

- BindCanvasSettings.hpp